# Copr

[**Project Page**](https://pagure.io/copr/copr) |
[**Documentation**](https://docs.pagure.org/copr.copr/) |
[**Report a Bug**](https://bugzilla.redhat.com/enter_bug.cgi?product=Copr) |
[**Already reported bugs**](https://bugzilla.redhat.com/buglist.cgi?bug_status=NEW&bug_status=ASSIGNED&bug_status=POST&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=RELEASE_PENDING&classification=Community&list_id=4678560&product=Copr&query_format=advanced) |
[**Fedora Copr**](https://copr.fedoraproject.org)

Copr ("Community projects") is a service that builds your open-source projects and creates your own RPM repositories. See it in action [here](https://copr.fedoraproject.org).

![See Copr workflow](/copr/copr/raw/master/f/doc/img/copr-workflow.png)

## Using Copr
Learn [how to use Copr](https://developer.fedoraproject.org/deployment/copr/about.html) and [how to create RPM packages](https://developer.fedoraproject.org/deployment/rpm/about.html) on the [Fedora Developer Portal](https://developer.fedoraproject.org).

## Status (copr builds, documentation)

package | released | development | docs
------- | -------- | ----------- | ----
copr-backend | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-backend/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-backend/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-backend/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-backend/) | [![doc badge](https://readthedocs.org/projects/copr-backend/badge/?version=latest)](http://copr-backend.readthedocs.org/?badge=latest)
copr-cli | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-cli/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-cli/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-cli/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-cli/) | [![doc badge](https://readthedocs.org/projects/copr-cli/badge/?version=latest)](http://copr-cli.readthedocs.org/?badge=latest)
copr-dist-git | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-dist-git/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-dist-git/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-dist-git/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-dist-git/) | [![doc badge](https://readthedocs.org/projects/copr-dist-git/badge/?version=latest)](http://copr-dist-git.readthedocs.org/?badge=latest)
copr-frontend | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-frontend/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-frontend/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-frontend/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-frontend/) | [![doc badge](https://readthedocs.org/projects/copr-rest-api/badge/?version=latest)](http://copr-rest-api.readthedocs.org/?badge=latest)
copr-keygen | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-keygen/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-keygen/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-keygen/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-keygen/) | [![doc badge](https://readthedocs.org/projects/copr-keygen/badge/?version=latest)](http://copr-keygen.readthedocs.org/?badge=latest)
copr-messaging | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-messaging/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-messaging/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-messaging/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-messaging/) | [![doc badge](https://readthedocs.org/projects/copr-messaging/badge/?version=latest)](http://copr-messaging.readthedocs.org/?badge=latest)
copr-rpmbuild | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-rpmbuild/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/copr-rpmbuild/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-rpmbuild/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/copr-rpmbuild/) | [![doc badge](https://readthedocs.org/projects/copr-rpmbuild/badge/?version=latest)](http://copr-rpmbuild.readthedocs.org/?badge=latest)
python-copr | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/python-copr/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/python-copr/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/python-copr/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/python-copr/) | [![doc badge](https://readthedocs.org/projects/python-copr/badge/?version=latest)](http://python-copr.readthedocs.org/?badge=latest)
python-copr-common | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/python-copr-common/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr/package/python-copr-common/) | [![badge](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/python-copr-common/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/g/copr/copr-dev/package/python-copr-common/) | [![doc badge](https://readthedocs.org/projects/python-copr-common/badge/?version=latest)](http://python-copr-common.readthedocs.org/?badge=latest)

[//]: # (Please generate this table by ./build_aux/generate-build-status-table)

[![Language grade: Python](https://img.shields.io/lgtm/grade/python/g/fedora-copr/copr.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/fedora-copr/copr/context:python)
[![Total alerts](https://img.shields.io/lgtm/alerts/g/fedora-copr/copr.svg?logo=lgtm&logoWidth=18)](https://lgtm.com/projects/g/fedora-copr/copr/alerts/)

## Local Testing Environment
You can use [Docker](https://docs.docker.com/) to run your local test environment. You need to install `docker-compose` tool for this to work.

```
$ git clone https://pagure.io/copr/copr.git
$ cd copr
$ docker-compose up -d
```

For more information see [our wiki page](https://docs.pagure.org/copr.copr/contribute.html?highlight=contribute).

[Unreported tracebacks](https://retrace.fedoraproject.org/faf/problems/?component_names=copr-cli%2Cpython-copr) of client tools.
